<template>
  <section class="flex justify-center items-center px-4 py-6 bg-gray-100 xl:px-32">
    <div class="my-10 sm:my-20">
      <div class="py-10 text-center">
        <h2 class="m-0 text-pink-500">{{ heading }}</h2>
        <div v-if="text" class="summary markdown mx-auto mt-2 xl:max-w-5xl" v-html="text" />
      </div>
      <div class="flex flex-wrap justify-center items-stretch -mx-4">
        <core-point-box
          :class="{ 'sm:flex-1': !evenCorePoints, 'sm:flex-grow sm:flex-shrink-0 xl:flex-1': evenCorePoints }"
          v-for="corePoint in corePoints"
          :key="corePoint.heading"
          :icon="corePoint.icon"
          :heading="corePoint.heading"
          :text="corePoint.text"
        />
      </div>
    </div>
  </section>
</template>

<script>
import CorePointBox from '~/components/common/CorePointBox.vue';

export default {
  name: 'CorePointsSection',
  components: {
    CorePointBox,
  },
  props: {
    heading: String,
    text: String,
    corePoints: Array,
  },
  computed: {
    evenCorePoints() {
      return this.corePoints.length % 2 === 0;
    },
  },
};
</script>
